com.mapinfo.midev.language.aggregation

## Class UnionAggregationCapability

- java.lang.Object
- - com.mapinfo.midev.language.aggregation.UnionAggregationCapability

All Implemented Interfaces:
  IAggregationCapability

    public final class UnionAggregationCapability
    extends Object
    implements IAggregationCapability

Used to indicate that a data source supports the aggregate union capability.

See Also:
  `AggregationLanguage`, `AggregatingSearch`, `AggregatingOperation`, `AggregationCapabilities`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static UnionAggregationCapability` `getInstance()` Returns the one and only instance of `UnionAggregationCapability`.
`boolean` `isSupported(IAggregationCapability desiredCapability)` Returns `true` if the specified desired `IAggregationCapability` is supported by this `IAggregationCapability`; `false` if not.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static UnionAggregationCapability getInstance()

Returns the one and only instance of `UnionAggregationCapability`.

Returns:
  the one and only instance of `UnionAggregationCapability`.

#### isSupported

    public boolean isSupported(IAggregationCapability desiredCapability)

Description copied from interface: `IAggregationCapability`
Returns `true` if the specified desired `IAggregationCapability` is supported by this `IAggregationCapability`; `false` if not.

Specified by:
  `isSupported` in interface `IAggregationCapability`
Parameters:
  `desiredCapability` - the desired `IAggregationCapability` to check support of.
Returns:
  `true` if the specified desired `IAggregationCapability` is supported by this `IAggregationCapability`; `false` if not.